import pygame as pg

pg.init()  # inicijalizujemo rad biblioteke PyGame
pg.display.set_caption("Sneg")  # otvaramo prozor
(sirina, visina) = (400, 400)
prozor = pg.display.set_mode((sirina, visina))

#Postavljamo poziciju prve pahuljice
x = 50
y = 50
#Pozadinu bojimo u tamno plavo
prozor.fill(pg.Color("dark blue"))

def crtaj():
    #crtanje pahuljice
    pg.draw.line(prozor, pg.Color("white"), (x-20, y), (x+20, y), 3)
    pg.draw.line(prozor, pg.Color("white"), (x, y-20), (x, y+20), 3)
    pg.draw.line(prozor, pg.Color("white"), (x-10, y-10), (x+10, y+10), 3)
    pg.draw.line(prozor, pg.Color("white"), (x+10, y-10), (x-10, y+10), 3)
    
kraj = False
sat = pg.time.Clock()  # sat koji određuje broj frejmova u sekundi
while not kraj:
    # crtamo i ažuriramo sadržaj prozora
    crtaj()
    pg.display.update()
    dogadjaj = pg.event.wait()  #čeka se naredni događaj
    if dogadjaj.type == pg.QUIT:
        kraj = True
    elif dogadjaj.type == pg.MOUSEBUTTONDOWN:
       (x, y) = dogadjaj.pos
    
pg.quit() # isključujemo rad biblioteke PyGame
